import request from '@/utils/request'

// 查询水费清单列表
export function list36(query) {
  return request({
    url: '/basicData/xcrOtherInfo36/findByPage',
    method: 'get',
    params: query
  })
}

// 查询水费清单详细
export function get36(xhCodeId) {
  return request({
    url: '/basicData/xcrOtherInfo36/' + xhCodeId,
    method: 'get'
  })
}

// 新增水费清单
export function add36(data) {
  return request({
    url: '/basicData/xcrOtherInfo36',
    method: 'post',
    data: data
  })
}

// 修改水费清单
export function update36(data) {
  return request({
    url: '/basicData/xcrOtherInfo36',
    method: 'put',
    data: data
  })
}

// 删除水费清单
export function del36(xhCodeId) {
  return request({
    url: '/basicData/xcrOtherInfo36/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function del36Batch(ids) {
  return request.post('/basicData/xcrOtherInfo36/delete',ids)
}
